# Namespace: NodeTypes

## NodeTypes

Attributes associated to Node types.
These are the types to specify when creating a node, and the corresponding usual node name when creating directly through Harmony's interface. The attributes displayed here can be set and manipulated by calling the displayed names.

### Example

    // This is how to use this page:

    var myNode = $.scn.root.addNode("READ");        // This is the node type visible here under NodeType
    $.log(myNode.type)                              // This is how to find out the type

    myNode.drawing.element = "1"                    // Sets the drawing.element attribute to display drawing "1"

    myNode.drawing.element = {frameNumber: 5, "2"}  // If the attribute can be animated, pass a {frameNumber, value} object to set a specific frame;

    myNode.attributes.drawing.element.setValue ("2", 5)   // also possible to set the attribute directly.

    // refer to the node type on this page to find out what properties can be set with what synthax for each Node Type.

### Members

#### AnimatedMatteGenerator

  Attributes present in the node : Animated-Matte-Generator

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `snapradius` | double | 15 | Drag-to-Snap Distance.
  `snapoutlinesonly` | bool | false | Snap to Outlines Only.
  `outputtype` | generic_enum | Feathered | Type.
  `outputinterpolation` | double | 0 | Interpolation Factor.

  `insidecolor`

  color

  ffffffff

  Inside Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `outsidecolor`

  color

  ffffffff

  Outside Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `interpolationmode` | generic_enum | Distance | Interpolation Mode.
  `colorinterpolation` | generic_enum | Constant | Colour Interpolation.
  `alphamapping` | generic_enum | Linear | Alpha Mapping.
  `colorlutdomain` | int | 100 | Colour LUT Domain.
  `alphalutdomain` | int | 100 | Alpha LUT Domain.
  `colorgamma` | double | 1 | Colour Gamma.
  `alphagamma` | double | 1 | Alpha Gamma.
  `colorlut` | double | 0 | Colour LUT.
  `alphalut` | double | 0 | Alpha LUT.
  `snapunderlay` | bool | false | Underlay Art.
  `snapcolor` | bool | true | Colour Art.
  `snapline` | bool | true | Line Art.
  `snapoverlay` | bool | false | Overlay Art.
  `usehints` | bool | true | Enable Hints.
  `snapradiusdraghint` | double | 20 | Drag-to-Snap Distance.
  `snapradiusgeneratehint` | double | 95 | Generated Matte Snap Distance.
  `mindistancepregeneratehints` | double | 75 | Minimum Distance Between Generated Hints.
  `snaphintunderlay` | bool | false | Underlay Art.
  `snaphintcolor` | bool | true | Colour Art.
  `snaphintline` | bool | false | Line Art.
  `snaphintoverlay` | bool | false | Overlay Art.
  `overlayisnote` | bool | true | Use Overlay Layer as Note.
  `contourcentres` | string |  | Contour Centres.

#### ArticulationModule

  Attributes present in the node : Articulation

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `influencetype` | generic_enum | Infinite | Influence Type.
  `influencefade` | double | 0.5000 | Influence Fade Radius.
  `symmetric` | bool | true | Symmetric Ellipse of Influence.
  `transversalradius` | double | 1 | Transversal Influence Radius Left.
  `transversalradiusright` | double | 1 | Transversal Influence Radius Right.
  `longitudinalradiusbegin` | double | 1 | Longitudinal Influence Radius Begin.
  `longitudinalradius` | double | 1 | Longitudinal Influence Radius End.
  `restradius` | double | 0.5000 | Rest Radius.
  `restingorientation` | double | 0 | Resting Orientation.
  `restbias` | double | 0.4500 | Rest Bias.
  `radius` | double | 0.5000 | Radius.
  `orientation` | double | 0 | Orientation.
  `bias` | double | 0.4500 | Bias.

#### AutoFoldModule

  Attributes present in the node : Deformation-AutoFold

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enable` | int | 1 | Enable AutoFold.
  `length` | double | 12 | Length.

#### AutoMuscleModule

  Attributes present in the node : Auto-Muscle

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enableleft` | bool | true | Muscle Left.
  `leftstart` | double | -3 | Left Start.
  `leftspan` | double | 1 | Left Span.
  `leftamplitude` | double | 0.2500 | Left Amplitude.
  `enableright` | bool | true | Muscle Right.
  `symmetric` | bool | false | Same as Left.
  `rightstart` | double | -3 | Right Start.
  `rightspan` | double | 1 | Right Span.
  `rightamplitude` | double | 0.2500 | Right Amplitude.

#### AutoPatchModule

  Attributes present in the node : Auto-Patch

#### BendyBoneModule

  Attributes present in the node : Bone

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `influencetype` | generic_enum | Infinite | Influence Type.
  `influencefade` | double | 0.5000 | Influence Fade Radius.
  `symmetric` | bool | true | Symmetric Ellipse of Influence.
  `transversalradius` | double | 1 | Transversal Influence Radius Left.
  `transversalradiusright` | double | 1 | Transversal Influence Radius Right.
  `longitudinalradiusbegin` | double | 1 | Longitudinal Influence Radius Begin.
  `longitudinalradius` | double | 1 | Longitudinal Influence Radius End.

  `restoffset`

  position_2d

  Rest Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.

  `restorientation` | double | 0 | Rest Orientation.
  `restradius` | double | 0.5000 | Rest Radius.
  `restbias` | double | 0.4500 | Rest Bias.
  `restlength` | double | 3 | Rest Length.

  `offset`

  position_2d

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `orientation` | double | 0 | Orientation.
  `radius` | double | 0.5000 | Radius.
  `bias` | double | 0.4500 | Bias.
  `length` | double | 3 | Length.

#### BezierMesh

  Attributes present in the node : Mesh-Warp

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---

  `mesh`

  array_position_2d

  Mesh.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `size` | int | 105 | Size.

  `meshpoint0x0`

  position_2d

  MeshPoint0x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x1`

  position_2d

  MeshPoint0x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -10 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x2`

  position_2d

  MeshPoint0x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -8 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x3`

  position_2d

  MeshPoint0x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x4`

  position_2d

  MeshPoint0x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -4 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x5`

  position_2d

  MeshPoint0x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -2 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x6`

  position_2d

  MeshPoint0x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x7`

  position_2d

  MeshPoint0x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 2 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x8`

  position_2d

  MeshPoint0x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 4 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x9`

  position_2d

  MeshPoint0x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x10`

  position_2d

  MeshPoint0x10.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 8 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x11`

  position_2d

  MeshPoint0x11.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 10 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x12`

  position_2d

  MeshPoint0x12.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x13`

  position_2d

  MeshPoint0x13.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x14`

  position_2d

  MeshPoint0x14.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x15`

  position_2d

  MeshPoint0x15.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x16`

  position_2d

  MeshPoint0x16.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x17`

  position_2d

  MeshPoint0x17.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x18`

  position_2d

  MeshPoint0x18.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x19`

  position_2d

  MeshPoint0x19.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x20`

  position_2d

  MeshPoint0x20.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x21`

  position_2d

  MeshPoint0x21.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x22`

  position_2d

  MeshPoint0x22.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x23`

  position_2d

  MeshPoint0x23.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x24`

  position_2d

  MeshPoint0x24.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -10 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x25`

  position_2d

  MeshPoint0x25.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -8 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x26`

  position_2d

  MeshPoint0x26.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x27`

  position_2d

  MeshPoint0x27.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -4 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x28`

  position_2d

  MeshPoint0x28.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -2 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x29`

  position_2d

  MeshPoint0x29.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint0x30`

  position_2d

  MeshPoint0x30.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 2 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x0`

  position_2d

  MeshPoint1x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 4 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x1`

  position_2d

  MeshPoint1x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x2`

  position_2d

  MeshPoint1x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 8 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x3`

  position_2d

  MeshPoint1x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 10 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x4`

  position_2d

  MeshPoint1x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x5`

  position_2d

  MeshPoint1x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x6`

  position_2d

  MeshPoint1x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x7`

  position_2d

  MeshPoint1x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x8`

  position_2d

  MeshPoint1x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x9`

  position_2d

  MeshPoint1x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint1x10`

  position_2d

  MeshPoint1x10.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x0`

  position_2d

  MeshPoint2x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | -2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x1`

  position_2d

  MeshPoint2x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x2`

  position_2d

  MeshPoint2x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | -2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x3`

  position_2d

  MeshPoint2x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x4`

  position_2d

  MeshPoint2x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x5`

  position_2d

  MeshPoint2x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -10 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x6`

  position_2d

  MeshPoint2x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -8 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x7`

  position_2d

  MeshPoint2x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x8`

  position_2d

  MeshPoint2x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -4 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x9`

  position_2d

  MeshPoint2x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -2 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint2x10`

  position_2d

  MeshPoint2x10.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x0`

  position_2d

  MeshPoint3x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 2 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x1`

  position_2d

  MeshPoint3x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 4 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x2`

  position_2d

  MeshPoint3x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x3`

  position_2d

  MeshPoint3x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 8 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x4`

  position_2d

  MeshPoint3x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 10 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x5`

  position_2d

  MeshPoint3x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x6`

  position_2d

  MeshPoint3x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x7`

  position_2d

  MeshPoint3x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x8`

  position_2d

  MeshPoint3x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x9`

  position_2d

  MeshPoint3x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x10`

  position_2d

  MeshPoint3x10.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 2 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x11`

  position_2d

  MeshPoint3x11.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x12`

  position_2d

  MeshPoint3x12.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x13`

  position_2d

  MeshPoint3x13.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x14`

  position_2d

  MeshPoint3x14.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x15`

  position_2d

  MeshPoint3x15.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 4 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x16`

  position_2d

  MeshPoint3x16.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x17`

  position_2d

  MeshPoint3x17.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -10 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x18`

  position_2d

  MeshPoint3x18.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -8 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x19`

  position_2d

  MeshPoint3x19.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x20`

  position_2d

  MeshPoint3x20.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -4 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x21`

  position_2d

  MeshPoint3x21.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -2 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x22`

  position_2d

  MeshPoint3x22.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x23`

  position_2d

  MeshPoint3x23.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 2 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x24`

  position_2d

  MeshPoint3x24.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 4 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x25`

  position_2d

  MeshPoint3x25.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x26`

  position_2d

  MeshPoint3x26.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 8 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x27`

  position_2d

  MeshPoint3x27.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 10 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x28`

  position_2d

  MeshPoint3x28.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 6 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x29`

  position_2d

  MeshPoint3x29.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint3x30`

  position_2d

  MeshPoint3x30.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x0`

  position_2d

  MeshPoint4x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x1`

  position_2d

  MeshPoint4x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x2`

  position_2d

  MeshPoint4x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 8 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x3`

  position_2d

  MeshPoint4x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x4`

  position_2d

  MeshPoint4x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x5`

  position_2d

  MeshPoint4x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x6`

  position_2d

  MeshPoint4x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x7`

  position_2d

  MeshPoint4x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 10 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x8`

  position_2d

  MeshPoint4x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x9`

  position_2d

  MeshPoint4x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -10 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint4x10`

  position_2d

  MeshPoint4x10.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -8 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x0`

  position_2d

  MeshPoint5x0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -6 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x1`

  position_2d

  MeshPoint5x1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -4 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x2`

  position_2d

  MeshPoint5x2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -2 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x3`

  position_2d

  MeshPoint5x3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x4`

  position_2d

  MeshPoint5x4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 2 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x5`

  position_2d

  MeshPoint5x5.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 4 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x6`

  position_2d

  MeshPoint5x6.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x7`

  position_2d

  MeshPoint5x7.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 8 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x8`

  position_2d

  MeshPoint5x8.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 10 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `meshpoint5x9`

  position_2d

  MeshPoint5x9.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `rows` | int | 4 | Rows.
  `columns` | int | 4 | Columns.

  `origin`

  position_2d

  Origin.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `width` | double | 12 | Width.
  `height` | double | 12 | Height.
  `deformationquality` | generic_enum | Very_High | Deformation Quality.

#### BLEND_MODE_MODULE

  Attributes present in the node : Blending

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `blend_mode` | generic_enum | Normal | Blend Mode.
  `flash_blend_mode` | generic_enum | Normal | SWF Blend Mode.

#### Bloom

  Attributes present in the node : Bloom

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `luminancethresholdthresh` | double | 75 | Threshold.
  `luminancethresholdsoften` | bool | true | Soften Colours.
  `luminancethresholdgamma` | double | 1.5000 | Gamma Correction.
  `luminancethresholdgrey` | bool | false | Output Greyscale Matte.
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `radius` | double | 4 | Radius.
  `quality` | generic_enum | High | Quality.
  `composite_src_image` | bool | true | Composite with Source Image.
  `blend_mode` | generic_enum | Screen | Blend Mode.

#### BLUR_DIRECTIONAL

  Attributes present in the node : Blur-Directional

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `fallof_rate` | double | 0 | Falloff Rate.
  `angle` | double | 0 | Angle.
  `radius` | double | 0 | Radius.
  `direction_of_trail` | generic_enum | Angle | Direction of trail.
  `ignore_alpha` | bool | false | Ignore Alpha.
  `extra_final_blur` | bool | true | Extra Final Blur.

#### BLUR_RADIAL

  Attributes present in the node : Blur

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `radius` | double | 0 | Radius.
  `quality` | generic_enum | High | Quality.

#### BLUR_VARIABLE

  Attributes present in the node : Blur-Variable

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `black_radius` | double | 0 | Black radius.
  `white_radius` | double | 0 | White radius.
  `quality` | generic_enum | High | Quality.
  `keep_inside_source_image` | bool | false | Keep inside source image.

#### BoneModule

  Attributes present in the node : Stick

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `influencetype` | generic_enum | Infinite | Influence Type.
  `influencefade` | double | 0.5000 | Influence Fade Radius.
  `symmetric` | bool | true | Symmetric Ellipse of Influence.
  `transversalradius` | double | 1 | Transversal Influence Radius Left.
  `transversalradiusright` | double | 1 | Transversal Influence Radius Right.
  `longitudinalradiusbegin` | double | 1 | Longitudinal Influence Radius Begin.
  `longitudinalradius` | double | 1 | Longitudinal Influence Radius End.
  `restlength` | double | 3 | Rest Length.
  `length` | double | 3 | Length.

#### BOXBLUR-PLUGIN

  Attributes present in the node : Blur-Box

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `bidirectional` | bool | true | Bidirectional.
  `precision` | generic_enum | Medium_8 | Precision.
  `repeat_edge_pixels` | bool | false | Repeat Edge Pixels.
  `directional` | bool | false | Directional.
  `angle` | double | 0 | Angle.
  `iterations` | int | 1 | Number of Iterations.
  `radius` | double | 0 | Radius.
  `width` | double | 0 | Width.
  `length` | double | 0 | Length.
  `fall_off` | double | 0 | Fall Off.

#### CAMERA

  Attributes present in the node : Camera

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---

  `offset`

  position_3d

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 12 | Pos z.

  `pivot`

  position_2d

  Pivot.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.

  `angle` | doublevb | 0 | Angle.
  `override_scene_fov` | bool | false | Override Scene Fov.
  `fov` | doublevb | 41.1121 | FOV.
  `near_plane` | double | 0.1000 | Near Plane.
  `far_plane` | double | 1000 | Far Plane.

#### CHANNEL_SWAP

  Attributes present in the node : Channel-Swap

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `redchannelselection` | generic_enum | Red | Red Channel From.
  `greenchannelselection` | generic_enum | Green | Green Channel From.
  `bluechannelselection` | generic_enum | Blue | Blue Channel From.
  `alphachannelselection` | generic_enum | Alpha | Alpha Channel From.
  `invert_matte_port` | bool | false | Invert Matte.

#### CHROMA_KEYING

  Attributes present in the node : Chroma-Keying

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.

  `color`

  color

  ffffffff

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `chroma_key_minimum` | double | 0 | Black Point.
  `chroma_key_maximum` | double | 255 | White Point.
  `chroma_key_filter_intensity` | double | 1 | Blur Passes.
  `chroma_key_sampling` | double | 2 | Adjacent Pixels per Pass.
  `applyfinalthreshold` | bool | true | Threshold Matte.
  `finalthreshold` | double | 10 | Threshold.
  `cutimage` | bool | true | Cut Colour.

#### COLOR2BW

  Attributes present in the node : Greyscale

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `percent` | double | 100 | Percent.
  `matte_output` | bool | false | Matte Output.
  `invert_matte_port` | bool | false | Invert Matte.

#### COLOR_ART

  Attributes present in the node : Colour-Art

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `flatten` | bool | false | Flatten.
  `apply_to_matte_ports` | bool | false | Apply to Matte Ports on Input Effects.
  `antialiasing_quality` | generic_enum | Ignore | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.

#### COLOR_CARD

  Attributes present in the node : Colour-Card

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `depth` | int | 0 | Depth.
  `offset_z` | double | -12 | Offset Z.

  `color`

  color

  ffffffff

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `invert_matte_port` | bool | false | Invert Matte.

#### COLOR_MASK

  Attributes present in the node : Channel-Selector

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | bool | true | Red.
  `green` | bool | true | Green.
  `blue` | bool | true | Blue.
  `alpha` | bool | true | Alpha.
  `invert_matte_port` | bool | false | Invert Matte.

#### COLOR_OVERRIDE_TVG

  Attributes present in the node : Colour-Override

#### COLOR_SCALE

  Attributes present in the node : Colour-Scale

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | double | 1 | Red.
  `green` | double | 1 | Green.
  `blue` | double | 1 | Blue.
  `alpha` | double | 1 | Alpha.
  `hue` | double | 1 | Hue.
  `saturation` | double | 1 | Saturation.
  `value` | double | 1 | Value.
  `invert_matte_port` | bool | false | Invert Matte.

#### COMPOSITE

  Attributes present in the node : Composite_1

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `composite_mode` | generic_enum | As_Bitmap | Mode.
  `flatten_output` | bool | true | Flatten Output.
  `flatten_vector` | bool | false | Vector Flatten Output.
  `composite_2d` | bool | false | 2D.
  `composite_3d` | bool | false | 3D.
  `output_z` | generic_enum | Leftmost | Output Z.
  `output_z_input_port` | int | 1 | Port For Output Z.
  `apply_focus` | bool | true | Apply Focus.
  `multiplier` | double | 1 | Focus Multiplier.
  `tvg_palette` | string | compositedPalette | Palette Name.
  `merge_vector` | bool | false | Flatten.

#### COMPOSITE

  Attributes present in the node : Composite

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `composite_mode` | generic_enum | As_Bitmap | Mode.
  `flatten_output` | bool | true | Flatten Output.
  `flatten_vector` | bool | false | Vector Flatten Output.
  `composite_2d` | bool | false | 2D.
  `composite_3d` | bool | false | 3D.
  `output_z` | generic_enum | Leftmost | Output Z.
  `output_z_input_port` | int | 1 | Port For Output Z.
  `apply_focus` | bool | true | Apply Focus.
  `multiplier` | double | 1 | Focus Multiplier.
  `tvg_palette` | string | compositedPalette | Palette Name.
  `merge_vector` | bool | false | Flatten.

#### COMPOSITE_GENERIC

  Attributes present in the node : Composite-Generic

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `color_operation` | generic_enum | Apply_With_Alpha | Colour Operation.
  `intensity_color_red` | double | 1 | Intensity Red.
  `intensity_color_blue` | double | 1 | Intensity Blue.
  `intensity_color_green` | double | 1 | Intensity Green.
  `opacity` | double | 100 | Opacity.
  `alpha_operation` | generic_enum | Apply | Alpha Operation.
  `output_z` | generic_enum | Leftmost | Output Z.
  `output_z_input_port` | int | 1 | Port For Output Z.

#### ComputeNormals

  Attributes present in the node : Normal-Map

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `objectlist` | string |  | Volume Creation.
  `depthinblue` | bool | false | Output Elevation in Blue Channel.
  `blurscale` | double | 1 | Bevel Multiplier.
  `clipblurredwithgeometry` | bool | true | Clip Blurred Image with Geometry.
  `elevationscale` | double | 1 | Elevation Multiplier.
  `elevationsmoothness` | double | 1 | Elevation Smoothness Multiplier.
  `generatenormals` | bool | true | Generate Normals.
  `normalquality` | generic_enum | Low | Normal Map Quality.
  `usetruckfactor` | bool | false | Consider Truck Factor.
  `colorinformation` | string |  | Colour Information.

#### CONTRAST

  Attributes present in the node : Contrast

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `mid_point` | double | 0.5000 | Mid Point.
  `dark_pixel_adjustement` | double | 1 | Dark Pixel Adjustment.
  `bright_pixel_adjustement` | double | 1 | Bright Pixel Adjustment.
  `invert_matte_port` | bool | false | Invert Matte.

#### CROP

  Attributes present in the node : Crop

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `res_x` | int | 1920 | X Resolution.
  `res_y` | int | 1080 | Y Resolution.
  `offset_x` | double | 0 | X Offset.
  `offset_y` | double | 0 | Y Offset.
  `draw_frame` | bool | false | Draw Frame.

  `frame_color`

  color

  ffffffff

  Frame Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `enabling`

  enable

  Always_Enabled

  Enabling.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `filter` | generic_enum | Always_Enabled | Filter.
  `filter_name` | string |  | Filter name.
  `filter_res_x` | int | 720 | X resolution.
  `filter_res_y` | int | 540 | Y resolution.

#### CurveModule

  Attributes present in the node : Curve

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `localreferential` | bool | true | Apply Parent Transformation.
  `influencetype` | generic_enum | Infinite | Influence Type.
  `influencefade` | double | 0.5000 | Influence Fade Radius.
  `symmetric` | bool | true | Symmetric Ellipse of Influence.
  `transversalradius` | double | 1 | Transversal Influence Radius Left.
  `transversalradiusright` | double | 1 | Transversal Influence Radius Right.
  `longitudinalradiusbegin` | double | 1 | Longitudinal Influence Radius Begin.
  `longitudinalradius` | double | 1 | Longitudinal Influence Radius End.
  `closepath` | bool | false | Close Contour.
  `restlength0` | double | 2 | Rest Length 0.
  `restingorientation0` | double | 0 | Resting Orientation 0.

  `restingoffset`

  position_2d

  Resting Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 0 | Pos y.

  `restlength1` | double | 2 | Rest Length 1.
  `restingorientation1` | double | 0 | Resting Orientation 1.
  `length0` | double | 2 | Length 0.
  `orientation0` | double | 0 | Orientation 0.

  `offset`

  position_2d

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 6 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `length1` | double | 2 | Length 1.
  `orientation1` | double | 0 | Orientation 1.

#### CUTTER

  Attributes present in the node : Cutter

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `inverted` | bool | false | Inverted.

#### DeformationCompositeModule

  Attributes present in the node : Deformation_Composite

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `outputmatrixonly` | bool | false | Output Kinematic Only.
  `outputselectedonly` | bool | false | Output Selected Port Only.
  `outputkinematicchainselector` | generic_enum | Rightmost | Output Kinematic Chain.
  `outputkinematicchain` | int | 1 | Output Kinematic Chain Selection.

#### DeformationRootModule

  Attributes present in the node : Deformation_Root

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `deformationquality` | generic_enum | Very_High | Quality.

#### DeformationScaleModule

  Attributes present in the node : Deformation-Scale

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enableleft` | bool | true | Scale Left.
  `leftfadein` | double | 0 | Left Fade In.
  `leftfadeout` | double | 0 | Left Fade Out.
  `leftstart` | double | 0 | Left Start.
  `leftspan` | double | 1 | Left Span.
  `leftscale0` | double | 1 | Left Start Scale.
  `leftscale1` | double | 1 | Left End Scale.
  `lefthandleposition0` | double | 25 | Left Start Handle Position.
  `lefthandleposition1` | double | 25 | Left End Handle Position.
  `lefthandlescale0` | double | 1 | Left Start Handle Scale.
  `lefthandlescale1` | double | 1 | Left End Handle Scale.
  `enableright` | bool | true | Scale Right.
  `symmetric` | bool | false | Same as Left.
  `rightfadein` | double | 0 | Right Fade In.
  `rightfadeout` | double | 0 | Right Fade Out.
  `rightstart` | double | 0 | Right Start.
  `rightspan` | double | 1 | Right Span.
  `rightscale0` | double | 1 | Right Start Scale.
  `rightscale1` | double | 1 | Right End Scale.
  `righthandleposition0` | double | 25 | Right Start Handle Position.
  `righthandleposition1` | double | 25 | Right End Handle Position.
  `righthandlescale0` | double | 1 | Right Start Handle Scale.
  `righthandlescale1` | double | 1 | Right End Handle Scale.

#### DeformationSwitchModule

  Attributes present in the node : Deformation-Switch

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `vectorquality` | generic_enum | Very_High | Vector Quality.
  `fadeexponent` | double | 3 | Influence Fade Exponent.
  `fadeinside` | bool | false | Fade Inside Zones.
  `enabledeformation` | int | 1 | Enable Deformation.
  `chainselectionreference` | int | 1 | Kinematic Chain Selection Reference.

#### DeformationUniformScaleModule

  Attributes present in the node : Deformation-Uniform-Scale

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `scale` | double | 1 | Scale.

#### DeformationWaveModule

  Attributes present in the node : Deformation-Wave

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enableleft` | bool | true | Wave Left.
  `leftstart` | double | 0 | Left Start.
  `leftspan` | double | 10 | Left Span.
  `leftoffsett` | double | 0 | Left Offset Deformer.
  `leftamplitude` | double | 1 | Left Amplitude.
  `leftoffset` | double | 1 | Left Offset Scaling.
  `leftperiod` | double | 1 | Left Period.
  `enableright` | bool | true | Wave Right.
  `symmetric` | bool | false | Same as Left.
  `rightstart` | double | 0 | Right Start.
  `rightspan` | double | 10 | Right Span.
  `rightoffsett` | double | 0 | Right Offset Deformer.
  `rightamplitude` | double | 1 | Right Amplitude.
  `rightoffset` | double | 1 | Right Offset Scaling.
  `rightperiod` | double | 1 | Right Period.

#### DEPTHBLUR

  Attributes present in the node : Z_Buffer_Smoothing

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `histogram_range` | double | 80 | Histogram Range.
  `kernel_size` | int | 5 | Kernel Size.

#### DISPLAY

  Attributes present in the node : Display

#### DITHER

  Attributes present in the node : Dither

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `magnitude` | double | 1 | Magnitude.
  `correlate` | bool | false | Correlate.
  `random` | bool | true | Random.

#### DynamicSpring

  Attributes present in the node : Dynamic-Spring

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | Active.
  `matchexposures` | bool | false | Match Animation on Active Attribute.
  `tensionx` | double | 7 | Tension X.
  `inertiax` | double | 80 | Inertia X.
  `tensiony` | double | 7 | Tension Y.
  `inertiay` | double | 80 | Inertia Y.
  `tensionz` | double | 7 | Tension Z.
  `inertiaz` | double | 80 | Inertia Z.
  `tensionscale` | double | 7 | Tension Scale.
  `inertiascale` | double | 80 | Inertia Scale.
  `tensionskew` | double | 7 | Tension Skew.
  `inertiaskew` | double | 80 | Inertia Skew.
  `tensionrotate` | double | 7 | Tension Rotate.
  `inertiarotate` | double | 80 | Inertia Rotate.
  `pignore` | double | 0 | Ignore Parents.
  `parentname` | string |  | Parent's Name.

#### EXTERNAL

  Attributes present in the node : External

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `program_name` | string |  | External Program.
  `program_input` | string |  | Program First Input File ($IN1).
  `program_input2` | string |  | Program Second Input File ($IN2).
  `program_output` | string |  | Program Output File ($OUT).
  `extension` | string | TGA | Extension ($EXT).
  `program_num_param` | double | 0 | Numerical Parameter 1 ($NUM).
  `program_uniqueid` | bool | true | Generate Unique FileNames.
  `program_num_param_2` | double | 0 | Numerical Parameter 2 ($NUM2).
  `program_num_param_3` | double | 0 | Numerical Parameter 3 ($NUM3).
  `program_num_param_4` | double | 0 | Numerical Parameter 4 ($NUM4).
  `program_num_param_5` | double | 0 | Numerical Parameter 5 ($NUM5).

#### FADE

  Attributes present in the node : Transparency

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `transparency` | double | 50 | Transparency.

#### FIELD_CHART

  Attributes present in the node : Field-Chart

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enable_3d` | bool | false | Enable 3D.
  `face_camera` | bool | false | Face Camera.
  `camera_alignment` | generic_enum | None | Camera Alignment.

  `offset`

  position_3d

  Position.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.
  `3dpath` | path_3d |  | Path.

  `scale`

  scale_3d

  Scale.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `in_fields` | bool | Off | In fields.
  `xy` | doublevb | 1 | Scale.
  `x` | doublevb | 1 | Scale x.
  `y` | doublevb | 1 | Scale y.
  `z` | doublevb | 1 | Scale z.

  `rotation`

  rotation_3d

  Rotation.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `anglex` | doublevb | 0 | Angle_x.
  `angley` | doublevb | 0 | Angle_y.
  `anglez` | doublevb | 0 | Angle_z.
  `quaternionpath` | quaternion_path |  | Quaternion.

  `angle` | alias | 0 | Angle.
  `skew` | double | 0 | Skew.

  `pivot`

  position_3d

  Pivot.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `spline_offset`

  position_3d

  Spline Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `ignore_parent_peg_scaling` | bool | false | Ignore Parent Scaling.
  `disable_field_rendering` | bool | false | Disable Field Rendering.
  `depth` | int | 0 | Depth.
  `enable_min_max_angle` | bool | false | Enable Min/Max Angle.
  `min_angle` | double | -360 | Min Angle.
  `max_angle` | double | 360 | Max Angle.
  `nail_for_children` | bool | false | Nail for Children.
  `ik_hold_orientation` | bool | false | Hold Orientation in IK.
  `ik_hold_x` | bool | false | Hold X in IK.
  `ik_hold_y` | bool | false | Hold Y in IK.
  `ik_excluded` | bool | false | Is Excluded from IK.
  `ik_can_rotate` | bool | true | Can Rotate during IK.
  `ik_can_translate_x` | bool | false | Can Translate in X during IK.
  `ik_can_translate_y` | bool | false | Can Translate in Y during IK.
  `ik_bone_x` | double | 0.2000 | X Direction of Bone.
  `ik_bone_y` | double | 0 | Y Direction of Bone.
  `ik_stiffness` | double | 1 | Stiffness of Bone.

  `drawing`

  drawing

  Drawing.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `element_mode` | bool | On | Element Mode.

  `element`

  element

  unknown

  Element.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `layer` | string | Layer.

  `custom_name`

  custom_name

  Custom Name.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `name` | string |  | Local Name.
  `timing` | timing |  | Timing.
  `extension` | string | tga | Extension.
  `field_chart` | double | 12 | FieldChart.

  `read_overlay` | bool | true | Overlay Art Enabled.
  `read_line_art` | bool | true | Line Art Enabled.
  `read_color_art` | bool | true | Colour Art Enabled.
  `read_underlay` | bool | true | Underlay Art Enabled.
  `overlay_art_drawing_mode` | generic_enum | Vector | Overlay Art Type.
  `line_art_drawing_mode` | generic_enum | Vector | Line Art Type.
  `color_art_drawing_mode` | generic_enum | Vector | Colour Art Type.
  `underlay_art_drawing_mode` | generic_enum | Vector | Underlay Art Type.
  `pencil_line_deformation_preserve_thickness` | bool | false | Preserve Line Thickness.
  `pencil_line_deformation_quality` | generic_enum | Low | Pencil Lines Quality.
  `pencil_line_deformation_smooth` | int | 1 | Pencil Lines Smoothing.
  `pencil_line_deformation_fit_error` | double | 3 | Fit Error.
  `read_color` | bool | true | Colour.
  `read_transparency` | bool | true | Transparency.
  `color_transformation` | generic_enum | Linear | Colour Space.
  `apply_matte_to_color` | generic_enum | Premultiplied_with_Black | Transparency Type.
  `enable_line_texture` | bool | true | Enable Line Texture.
  `antialiasing_quality` | generic_enum | Medium | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.
  `opacity` | double | 100 | Opacity.
  `texture_filter` | generic_enum | Nearest_(Filtered) | Texture Filter.
  `adjust_pencil_thickness` | bool | false | Adjust Pencil Lines Thickness.
  `normal_line_art_thickness` | bool | true | Normal Thickness.
  `zoom_independent_line_art_thickness` | bool | true | Zoom Independent Thickness.
  `mult_line_art_thickness` | double | 1 | Proportional.
  `add_line_art_thickness` | double | 0 | Constant.
  `min_line_art_thickness` | double | 0 | Minimum.
  `max_line_art_thickness` | double | 0 | Maximum.
  `use_drawing_pivot` | generic_enum | Apply_Embedded_Pivot_on_Drawing_Layer | Use Embedded Pivots.
  `flip_hor` | bool | false | Flip Horizontal.
  `flip_vert` | bool | false | Flip Vertical.
  `turn_before_alignment` | bool | false | Turn Before Alignment.
  `no_clipping` | bool | false | No Clipping.
  `x_clip_factor` | int | 0 | Clipping Factor (x).
  `y_clip_factor` | int | 0 | Clipping Factor (y).
  `alignment_rule` | generic_enum | Center_First_Page | Alignment Rule.
  `morphing_velo` | double | 0 | Morphing Velocity.
  `can_animate` | bool | true | Animate Using Animation Tools.
  `tile_horizontal` | bool | false | Tile Horizontally.
  `tile_vertical` | bool | false | Tile Vertically.
  `size` | generic_enum | 12 | Size.
  `opaque` | bool | false | Opaque.

#### FilterBanding

  Attributes present in the node : Colour-Banding

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `threshold1` | double | 20 | Threshold 1.

  `colour1`

  color

  ffffffff

  Colour 1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `blur1` | double | 0 | Blur 1.
  `threshold2` | double | 40 | Threshold 2.

  `colour2`

  color

  ffffffff

  Colour 2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `blur2` | double | 0 | Blur 2.
  `threshold3` | double | 20 | Threshold 3.

  `colour3`

  color

  ffffffff

  Colour 3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `blur3` | double | 0 | Blur 3.
  `threshold4` | double | 20 | Threshold 4.

  `colour4`

  color

  ffffffff

  Colour 4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `blur4` | double | 0 | Blur 4.
  `invert_matte_port` | bool | false | Invert Matte.

#### FLATTEN

  Attributes present in the node : Flatten

#### FLICKER_BLUR

  Attributes present in the node : Anti-Flicker

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `radius` | double | 0 | Radius.

#### FOCUS_APPLY

  Attributes present in the node : Focus-Multiplier

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `multiplier` | double | 1 | Multiplier.

#### FOCUS_SET

  Attributes present in the node : Focus

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `mirror` | bool | true | Mirror.
  `ratio` | double | 2 | Mirror Front/Back Ratio.
  `radius` | simple_bezier | (Curve) | Radius.
  `quality` | generic_enum | High | Quality.

#### FoldModule

  Attributes present in the node : Deformation-Fold

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enable` | int | 1 | Enable Fold.
  `t` | double | 1 | Where.
  `tbefore` | double | 1 | Span Before.
  `tafter` | double | 1 | Span After.
  `angle` | double | 0 | Orientation.
  `length` | double | 12 | Length.

#### GameBoneModule

  Attributes present in the node : GameBone

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---

  `restoffset`

  position_2d

  Rest Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.

  `restorientation` | double | 0 | Rest Orientation.
  `restradius` | double | 0.5000 | Rest Radius.
  `restbias` | double | 0.4500 | Rest Bias.
  `restlength` | double | 3 | Rest Length.

  `offset`

  position_2d

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `orientation` | double | 0 | Orientation.
  `radius` | double | 0.5000 | Radius.
  `bias` | double | 0.4500 | Bias.
  `length` | double | 3 | Length.

#### GAUSSIANBLUR-PLUGIN

  Attributes present in the node : Blur-Gaussian

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `bidirectional` | bool | true | Bidirectional.
  `precision` | generic_enum | Medium_8 | Precision.
  `repeat_edge_pixels` | bool | false | Repeat Edge Pixels.
  `directional` | bool | false | Directional.
  `angle` | double | 0 | Angle.
  `iterations` | int | 1 | Number of Iterations.
  `blurriness` | double | 0 | Blurriness.
  `vertical` | double | 0 | Vertical Blurriness.
  `horizontal` | double | 0 | Horizontal Blurriness.

#### GLCacheLock

  Attributes present in the node : OpenGL-Cache-Lock

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `composite_3d` | bool | false | 3D.

#### GLOW

  Attributes present in the node : Glow

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `truck_factor` | bool | true | Truck Factor.
  `blur_type` | generic_enum | Radial | Blur Type.
  `radius` | double | 0 | Radius.
  `directional_angle` | double | 0 | Directional Angle.
  `directional_falloff_rate` | double | 1 | Directional Falloff Rate.
  `use_matte_color` | bool | false | Use Source Colour.
  `invert_matte` | bool | false | Invert Matte.

  `color`

  color

  ff646464

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 100 | Red.
  `green` | int | 100 | Green.
  `blue` | int | 100 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `multiplicative` | bool | false | Multiplicative.
  `colour_gain` | double | 1 | Intensity.

#### GLUE

  Attributes present in the node : Glue

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | true | Invert Matte.
  `bias` | double | 0.5000 | Bias.
  `tension` | double | 1 | Tension.
  `type` | generic_enum | Curve | Type.
  `use_z` | bool | true | Use Z for Composition Order.
  `a_over_b` | bool | true | A Over B.
  `spread_a` | bool | false | Spread A.

#### GRADIENT-PLUGIN

  Attributes present in the node : Gradient

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `depth` | int | 0 | Depth.
  `invert_matte_port` | bool | false | Invert Matte.
  `type` | generic_enum | Linear | Gradient Type.

  `0`

  position_2d

  Position 0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `1`

  position_2d

  Position 1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `color0`

  color

  ff000000

  Colour 0.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 0 | Red.
  `green` | int | 0 | Green.
  `blue` | int | 0 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `color1`

  color

  ffffffff

  Colour 1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `offset_z` | double | 0 | Offset Z.

#### GRAIN

  Attributes present in the node : Grain

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `noise` | double | 0.3000 | Noise.
  `smooth` | double | 0 | Smooth.
  `random` | bool | true | Random At Each Frame.
  `seed` | int | 0 | Seed Value.

#### Grid

  Attributes present in the node : Grid

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `size` | int | 12 | Size.
  `aspect` | double | 1.3333 | Aspect.
  `showtext` | bool | true | Display Text.

  `gridcolor`

  color

  ff000000

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 0 | Red.
  `green` | int | 0 | Green.
  `blue` | int | 0 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `bgcolor`

  color

  ffffffff

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `opaque` | bool | false | Fill.
  `fitvertical` | bool | true | Fit Vertical.

#### GROUP

  Attributes present in the node : Group

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `editor` | string | <editor_dockable="true"_title="Script"_winPreferred="640x460"_linuxPreferred="640x480"> | __<tab_title="Editor"_expand="true"> ____<attr_name="EDITOR"/> __</tab> __<tab_title="Options"> ____<attr_name="TARGET_COMPOSITE"/> ____<attr_name="TIMELINE_MODULE"/> __</tab> __<tab_title="Extern_Attributes"> ____ ____ __</tab> </editor> - .
  `target_composite` | string |  | Target Composite.
  `timeline_module` | string |  | Substitute Node in Timeline.
  `mask` | bool | false | Mask Flag.
  `publish_to_parents` | bool | true | Publish to Parent Groups.

#### HIGHLIGHT

  Attributes present in the node : Highlight

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `truck_factor` | bool | true | Truck Factor.
  `blur_type` | generic_enum | Radial | Blur Type.
  `radius` | double | 2 | Radius.
  `directional_angle` | double | 0 | Directional Angle.
  `directional_falloff_rate` | double | 1 | Directional Falloff Rate.
  `use_matte_color` | bool | false | Use Matte Colour.
  `invert_matte` | bool | false | Invert Matte.

  `color`

  color

  64646464

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 100 | Red.
  `green` | int | 100 | Green.
  `blue` | int | 100 | Blue.
  `alpha` | int | 100 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `multiplicative` | bool | false | Multiplicative.
  `colour_gain` | double | 1 | Intensity.
  `invert_matte_port` | bool | false | Invert Matte.

#### HUE_SATURATION

  Attributes present in the node : Hue-Saturation

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---

  `masterrangecolor`

  hue_range

  Master.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.

  `redrangecolor`

  hue_range

  Reds.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 345 | LowRange.
  `high_range` | double | 15 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `greenrangecolor`

  hue_range

  Greens.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 105 | LowRange.
  `high_range` | double | 135 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `bluerangecolor`

  hue_range

  Blues.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 225 | LowRange.
  `high_range` | double | 255 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `cyanrangecolor`

  hue_range

  Cyans.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 165 | LowRange.
  `high_range` | double | 195 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `magentarangecolor`

  hue_range

  Magentas.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 285 | LowRange.
  `high_range` | double | 315 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `yellowrangecolor`

  hue_range

  Yellows.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue_shift` | double | 0 | Hue.
  `saturation` | double | 0 | Saturation.
  `lightness` | double | 0 | Lightness.
  `low_range` | double | 45 | LowRange.
  `high_range` | double | 75 | HighRange.
  `low_falloff` | double | 30 | LowFalloff.
  `high_falloff` | double | 30 | HighFalloff.

  `colorizeenable` | bool | false | Colorize.

  `colorizehsl`

  hsl

  Colorize HSL.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hue` | double | 0 | Hue.
  `saturation` | double | 25 | Saturation.
  `lightness` | double | 0 | Lightness.

  `resetred` | push_button |  | Reset Range.
  `resetgreen` | push_button |  | Reset Range.
  `resetblue` | push_button |  | Reset Range.
  `resetcyan` | push_button |  | Reset Range.
  `resetmagenta` | push_button |  | Reset Range.
  `resetyellow` | push_button |  | Reset Range.
  `invert_matte_port` | bool | false | Invert Matte.

#### ImageSwitch

  Attributes present in the node : Image-Switch

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `port_index` | int | 0 | Port Index.

#### KinematicOutputModule

  Attributes present in the node : KinematicOutput

#### LAYER_SELECTOR

  Attributes present in the node : Layer-Selector

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `flatten` | bool | false | Flatten.
  `apply_to_matte_ports` | bool | false | Apply to Matte Ports on Input Effects.
  `antialiasing_quality` | generic_enum | Ignore | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.
  `read_overlay` | bool | false | Read Overlay.
  `read_lineart` | bool | true | Read LineArt.
  `read_colourart` | bool | true | Read ColourArt.
  `read_underlay` | bool | false | Read Underlay.

#### LensFlare

  Attributes present in the node : LensFlare

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `blend_mode` | generic_enum | Normal | Blend Mode.
  `flash_blend_mode` | generic_enum | Normal | SWF Blend Mode.
  `usergba` | bool | false | Blend Mode: Normal/Screen.
  `brightenable` | bool | true | On/Off.
  `brightness` | double | 100 | Intensity.

  `brightcolor`

  color

  ffffffff

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `positionx` | double | 6 | PositionX.
  `positiony` | double | 6 | PositionY.
  `positionz` | double | 0 | PositionZ.
  `flareconfig` | generic_enum | Type_1 | Flare Type.
  `enable1` | bool | true | Enable/Disable.
  `size1` | double | 0.7500 | Size.
  `position1` | double | 0 | Position.
  `drawing1` | int | 1 | Drawing.
  `blur1` | double | 0 | Blur Intensity.
  `enable2` | bool | true | Enable/Disable.
  `size2` | double | 0.8000 | Size.
  `position2` | double | 2 | Position.
  `drawing2` | int | 2 | Drawing.
  `blur2` | double | 0 | Blur Intensity.
  `enable3` | bool | true | Enable/Disable.
  `size3` | double | 1.2000 | Size.
  `position3` | double | -0.2000 | Position.
  `drawing3` | int | 3 | Drawing.
  `blur3` | double | 0 | Blur Intensity.
  `enable4` | bool | true | Enable/Disable.
  `size4` | double | 0.6500 | Size.
  `position4` | double | 0.7500 | Position.
  `drawing4` | int | 4 | Drawing.
  `blur4` | double | 0 | Blur Intensity.
  `enable5` | bool | true | Enable/Disable.
  `size5` | double | 1 | Size.
  `position5` | double | 2 | Position.
  `drawing5` | int | 5 | Drawing.
  `blur5` | double | 0 | Blur Intensity.
  `enable6` | bool | true | Enable/Disable.
  `size6` | double | 1 | Size.
  `position6` | double | 0 | Position.
  `drawing6` | int | 6 | Drawing.
  `blur6` | double | 0 | Blur Intensity.
  `enable7` | bool | true | Enable/Disable.
  `size7` | double | 0.8000 | Size.
  `position7` | double | 2 | Position.
  `drawing7` | int | 7 | Drawing.
  `blur7` | double | 0 | Blur Intensity.
  `enable8` | bool | true | Enable/Disable.
  `size8` | double | 0.5500 | Size.
  `position8` | double | -0.3000 | Position.
  `drawing8` | int | 8 | Drawing.
  `blur8` | double | 0 | Blur Intensity.
  `enable9` | bool | true | Enable/Disable.
  `size9` | double | 0.6500 | Size.
  `position9` | double | 1.2500 | Position.
  `drawing9` | int | 9 | Drawing.
  `blur9` | double | 0 | Blur Intensity.
  `enable10` | bool | true | Enable/Disable.
  `size10` | double | 0.5500 | Size.
  `position10` | double | 2.3000 | Position.
  `drawing10` | int | 10 | Drawing.
  `blur10` | double | 0 | Blur Intensity.

#### LightPosition

  Attributes present in the node : Light-Position

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  `position0`

  position_3d

  Position.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.
  `3dpath` | path_3d |  | Path.

  `position1`

  position_3d

  Look at.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 1 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.
  `3dpath` | path_3d |  | Path.

#### LightShader

  Attributes present in the node : Light-Shader

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `lighttype` | generic_enum | Directional | Light Type.
  `floodangle` | double | 90 | Cone Angle.
  `floodsharpness` | double | 0 | Diffusion.
  `floodradius` | double | 2000 | Falloff.
  `pointelevation` | double | 200 | Light Source Elevation.
  `anglethreshold` | double | 90 | Surface Reflectivity.
  `shadetype` | generic_enum | Smooth | Shading Type.
  `bias` | double | 0.1000 | Bias.
  `exponent` | double | 2 | Abruptness.

  `lightcolor`

  color

  ffc8c8c8

  Light Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 200 | Red.
  `green` | int | 200 | Green.
  `blue` | int | 200 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `flatten` | bool | true | Flatten Fx.
  `useimagecolor` | bool | false | Use image Colour.
  `imagecolorweight` | double | 50 | Image Colour Intensity.
  `adjustlevel` | bool | false | Adjust Light Intensity.
  `adjustedlevel` | double | 75 | Intensity.
  `scale` | double | 1 | Multiplier.

#### LINE_ART

  Attributes present in the node : Line-Art

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `flatten` | bool | false | Flatten.
  `apply_to_matte_ports` | bool | false | Apply to Matte Ports on Input Effects.
  `antialiasing_quality` | generic_enum | Ignore | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.

#### LuminanceThreshold

  Attributes present in the node : Luminance-Threshold

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `luminancethresholdthresh` | double | 75 | Threshold.
  `luminancethresholdsoften` | bool | true | Soften Colours.
  `luminancethresholdgamma` | double | 1.5000 | Gamma Correction.
  `luminancethresholdgrey` | bool | false | Output Greyscale Matte.
  `invert_matte_port` | bool | false | Invert Matte.

#### MasterController

  Attributes present in the node : MasterController

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `specs_editor` | string | <specs> | __<ports> ____<in_type="IMAGE"/> ____<out_type="IMAGE"/> __</ports> __<attributes> __</attributes> </specs> - Specifications.
  `script_editor` | file_editor |  | .
  `init_script` | file_editor |  | .
  `cleanup_script` | file_editor |  | .
  `ui_script` | file_editor |  | .
  `ui_data` | string |  | .
  `files` | file_library |  | .

#### MATTE_BLUR

  Attributes present in the node : Matte-Blur

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `truck_factor` | bool | true | Truck Factor.
  `blur_type` | generic_enum | Radial | Blur Type.
  `radius` | double | 0 | Radius.
  `directional_angle` | double | 0 | Directional Angle.
  `directional_falloff_rate` | double | 1 | Directional Falloff Rate.
  `use_matte_color` | bool | false | Use Matte Colour.
  `invert_matte` | bool | false | Invert Matte.

  `color`

  color

  ffffffff

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `multiplicative` | bool | false | Multiplicative.
  `colour_gain` | double | 1 | Intensity.

#### MATTE_COMPOSITE

  Attributes present in the node : Matte-Composite

#### MATTE_RESIZE

  Attributes present in the node : Matte-Resize

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `radius` | double | 0 | Radius.

#### MedianFilter

  Attributes present in the node : Median

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `radius` | double | 0 | Radius.
  `bitdepth` | int | 256 | Colour Depth.

#### MOTION_BLUR

  Attributes present in the node : Motion-Blur

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `nb_frames_trail` | double | 10 | Number of Frames in the Trail.
  `samples` | double | 200 | Number of Samples.
  `falloff` | double | 2 | Fall-off Rate.
  `intensity` | double | 1 | Intensity.
  `mirror` | bool | false | Use Mirror on Edges.

#### MultiLayerWrite

  Attributes present in the node : Multi-Layer-Write

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `export_to_movie` | generic_enum | Output_Drawings | Export to movie.
  `drawing_name` | string | frames/final- | Drawing name.
  `movie_path` | string | frames/output | Movie path.
  `movie_format` | string | com.toonboom.quicktime.legacy | Movie format setting.
  `movie_audio` | string |  | Movie audio settings.
  `movie_video` | string |  | Movie video settings.
  `movie_videoaudio` | string |  | Movie video and audio settings.
  `leading_zeros` | int | 3 | Leading zeros.
  `start` | int | 1 | Start.
  `drawing_type` | string | TGA | Drawing type.

  `enabling`

  enable

  Always_Enabled

  Enabling.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `filter` | generic_enum | Always_Enabled | Filter.
  `filter_name` | string |  | Filter name.
  `filter_res_x` | int | 720 | X resolution.
  `filter_res_y` | int | 540 | Y resolution.

  `composite_partitioning` | generic_enum | Off | Composite Partitioning.
  `z_partition_range` | double | 1 | Z Partition Range.
  `clean_up_partition_folders` | bool | true | Clean up partition folders.
  `input_names` | string |  | Input Names.

#### MULTIPORT_IN

  Attributes present in the node : Multi-Port-In

#### MULTIPORT_OUT

  Attributes present in the node : Multi-Port-Out

#### NEGATE

  Attributes present in the node : Negate

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `color` | bool | true | Negate Colour.
  `color_alpha` | bool | false | Negate Alpha.
  `color_clamp_to_alpha` | bool | true | Negate Colour Clamp to Alpha.
  `invert_matte_port` | bool | false | Invert Matte.

#### NormalFloat

  Attributes present in the node : Normal-Map-Converter

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `conversiontype` | generic_enum | Genarts | Conversion Type.
  `offset` | double | 0 | Offset.
  `length` | double | 1 | Length.
  `invertred` | bool | false | Invert Red.
  `invertgreen` | bool | false | Invert Green.
  `invertblue` | bool | false | Invert Blue.

#### NOTE

  Attributes present in the node : Note

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `text` | string | Text.

#### ObjectDefinition

  Attributes present in the node : Volume-Object

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `objectid` | int | 1 | ID.
  `cutvolumecues` | bool | false | Cut Volume Cues with Geometry.
  `usegeometry` | bool | true | Use Drawing to Create Volume.
  `geometryintensity` | double | 50 | Elevation Baseline.

#### OffsetModule

  Attributes present in the node : Offset

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `localreferential` | bool | true | Apply Parent Transformation.

  `restingoffset`

  position_2d

  Resting Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 1 | Pos x.
  `y` | double | 0 | Pos y.

  `restingorientation` | double | 0 | Resting Orientation.

  `offset`

  position_2d

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 1 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `orientation` | double | 0 | Orientation.

#### OGLBYPASS

  Attributes present in the node : OglBypass

#### OpenGLPreview

  Attributes present in the node : RenderPreview

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `refreshstrategy` | generic_enum | Current_Frame_Only | Render.
  `scaling` | generic_enum | Use_Render_Preview_Setting | Preview Resolution.
  `renderstrategy` | generic_enum | Use_Previously_Rendered | Outdated Images Mode.
  `computeallimages` | push_button |  | Render Frames.

#### ORTHOLOCK

  Attributes present in the node : OrthoLock

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `rotation_axis` | generic_enum | X_and_Y_Axes | Rotation Axis.
  `max_angle` | double | 0 | Max Angle.

#### OVERLAY

  Attributes present in the node : Overlay-Layer

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `flatten` | bool | false | Flatten.
  `apply_to_matte_ports` | bool | false | Apply to Matte Ports on Input Effects.
  `antialiasing_quality` | generic_enum | Ignore | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.

#### Particle3dRegion

  Attributes present in the node : 3D-Region

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `shapetype` | generic_enum | Sphere | Type.
  `sizex` | double | 6 | Width.
  `sizey` | double | 6 | Height.
  `sizez` | double | 6 | Depth.
  `outerradius` | double | 6 | Max.
  `innerradius` | double | 0 | Min.

#### ParticleBaker

  Attributes present in the node : Particle-Baker

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `maxnumparticles` | int | 10000 | Maximum Number of Particles.
  `simulationquality` | generic_enum | Normal | Simulation Quality.
  `seed` | int | 0 | Seed.
  `transientframes` | int | 0 | Number of Pre-roll Frames.
  `moveage` | bool | false | Age Particles.
  `moveposition` | bool | true | Move Position.
  `moveangle` | bool | false | Move Angle.
  `roundage` | bool | false | Round Particle Age.

#### ParticleBkerComposite

  Attributes present in the node : Baker-Composite

#### ParticleExplosion

  Attributes present in the node : Explosion

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `explosionx` | double | 0 | X.
  `explosiony` | double | 0 | Y.
  `explosionz` | double | 0 | Z.
  `explosionradius` | double | 3 | Radius.
  `explosionsigma` | double | 1 | Sigma.
  `explosionmagnitude` | double | 5 | Magnitude.
  `explosionepsilon` | double | 0.0010 | Epsilon.

#### ParticleGravity

  Attributes present in the node : Gravity

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `applygravity` | bool | true | Apply Gravity.
  `directionx` | double | 0 | X Direction.
  `directiony` | double | -1 | Y Direction.
  `directionz` | double | 0 | Z Direction.
  `relativegravity` | bool | false | Apply Gravity between Particles (Relative Gravity).
  `relativemagnitude` | double | 1 | Relative Gravity Magnitude.
  `relativegravityepsilon` | double | 0.0010 | Relative Gravity Epsilon.
  `relativegravitymaxradius` | double | 2 | Relative Gravity Maximum Distance.

#### ParticleImageEmitter

  Attributes present in the node : Image-Fracture

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 0 | Trigger.
  `ageatbirth` | double | 0 | Age at Birth.
  `ageatbirthstd` | double | 0 | Age at Birth Standard Deviation.
  `mass` | double | 1 | Particles Mass.
  `typechoosingstrategy` | generic_enum | Sequentially_Assign_Type_Number | Type Generation Strategy.
  `particletype0` | int | 1 | Particle Type 0.
  `particletype1` | int | 1 | Particle Type 1.
  `particlesize` | double | 1 | Size over Age.
  `overridevelocity` | bool | false | Align Initial Velocity.
  `blend_mode` | generic_enum | Normal | Blend Mode.
  `blendintensity` | double | 100 | Blend Intensity.
  `colouringstrategy` | generic_enum | Use_Drawing_Colour | Colouring Strategy.

  `particlecolour`

  color

  ffffffff

  Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `alignwithdirection` | bool | true | Align with Direction.
  `userotation` | bool | false | Use Rotation of Particle.
  `directionalscale` | bool | false | Directional Scale.
  `directionalscalefactor` | double | 1 | Directional Scale Exponent Factor.
  `keepvolume` | bool | true | Keep Volume.
  `blur` | generic_enum | No_Blur | Blur.
  `blurintensity` | double | 1 | Blur Intensity.
  `blurfallof` | double | 0.5000 | Falloff Rate.
  `flipwithdirectionx` | bool | false | Flip X Axis to Match Direction.
  `flipwithdirectiony` | bool | false | Flip Y Axis to Match Direction.
  `alignwithdirectionaxis` | generic_enum | Positive_X | Axis to Align.

#### ParticleKill

  Attributes present in the node : Kill

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `handlenaturaldeth` | bool | true | Use Maximum Lifespan.
  `killyounger` | bool | false | Kill Younger.
  `killyoungerthan` | int | -1 | Kill Younger than.
  `killolder` | bool | true | Kill Older.
  `killolderthan` | int | 100 | Kill Older than.

#### ParticleMove

  Attributes present in the node : Move-Particles

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `moveage` | bool | false | Age Particles.
  `moveposition` | bool | true | Move Position.
  `moveangle` | bool | true | Move Angle.
  `followeachother` | bool | false | Make Particles Follow each Other.
  `followintensity` | double | 1 | Follow Intensity.

#### ParticleOrbit

  Attributes present in the node : Orbit

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `strategy` | generic_enum | Around_Point | Orbit Type.
  `magnitude` | double | 1 | Magnitude.
  `v0x` | double | 0 | Point X.
  `v0y` | double | 0 | Point Y.
  `v0z` | double | 0 | Point Z.
  `v1x` | double | 0 | Direction X.
  `v1y` | double | 0 | Direction Y.
  `v1z` | double | 1 | Direction Z.

#### ParticlePlanarRegion

  Attributes present in the node : Planar-Region

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `shapetype` | generic_enum | Rectangle | Shape Type.
  `sizex` | double | 12 | Width.
  `sizey` | double | 12 | Height.
  `x1` | double | 0 | X.
  `y1` | double | 0 | Y.
  `x2` | double | 0 | X.
  `y2` | double | 0 | Y.
  `x3` | double | 1 | X.
  `y3` | double | 1 | Y.
  `minradius` | double | 0 | Minimum.
  `maxradius` | double | 6 | Maximum.
  `mirrornegativeframes` | bool | false | Mirror Negative Frames.

#### ParticleRandom

  Attributes present in the node : Random-Parameter

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `parametertorandomize` | generic_enum | Speed | Parameter.

#### ParticleRegionComposite

  Attributes present in the node : Particle-Region-Composite

#### ParticleRepulse

  Attributes present in the node : Repulse

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `magnitude` | double | 1 | Magnitude.
  `lookahead` | double | 1 | Look Ahead.
  `epsilon` | double | 0.0010 | Epsilon.

#### ParticleRotationVelocity

  Attributes present in the node : Rotation-Velocity

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `w0` | double | 0 | Minimum.
  `w1` | double | 5 | Maximum.
  `axisstrategy` | generic_enum | Constant_Axis | Axis Type.
  `v0x` | double | 0 | Axis0 X.
  `v0y` | double | 0 | Axis0 Y.
  `v0z` | double | 1 | Axis0 Z.
  `v1x` | double | 0 | Axis1 X.
  `v1y` | double | 1 | Axis1 Y.
  `v1z` | double | 0 | Axis1 Z.

#### ParticleSink

  Attributes present in the node : Sink

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `ifinside` | bool | false | Invert.

#### ParticleSize

  Attributes present in the node : Size

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `sizestrategy` | generic_enum | Constant_Size | Size Type.
  `particlesize` | double | 1 | Size.

#### ParticleSprite

  Attributes present in the node : Sprite-Emitter

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `ageatbirth` | double | 0 | Age at Birth.
  `ageatbirthstd` | double | 0 | Age at Birth Standard Deviation.
  `mass` | double | 1 | Particles Mass.
  `typechoosingstrategy` | generic_enum | Sequentially_Assign_Type_Number | Type Generation Strategy.
  `particletype0` | int | 1 | Particle Type 0.
  `particletype1` | int | 1 | Particle Type 1.
  `particlesize` | double | 1 | Size over Age.
  `overridevelocity` | bool | false | Align Initial Velocity.
  `blend_mode` | generic_enum | Normal | Blend Mode.
  `blendintensity` | double | 100 | Blend Intensity.
  `colouringstrategy` | generic_enum | Use_Drawing_Colour | Colouring Strategy.

  `particlecolour`

  color

  ffffffff

  Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `alignwithdirection` | bool | true | Align with Direction.
  `userotation` | bool | false | Use Rotation of Particle.
  `directionalscale` | bool | false | Directional Scale.
  `directionalscalefactor` | double | 1 | Directional Scale Exponent Factor.
  `keepvolume` | bool | true | Keep Volume.
  `blur` | generic_enum | No_Blur | Blur.
  `blurintensity` | double | 1 | Blur Intensity.
  `blurfallof` | double | 0.5000 | Falloff Rate.
  `flipwithdirectionx` | bool | false | Flip X Axis to Match Direction.
  `flipwithdirectiony` | bool | false | Flip Y Axis to Match Direction.
  `alignwithdirectionaxis` | generic_enum | Positive_X | Axis to Align.
  `renderingstrategy` | generic_enum | Use_Particle_Type | Rendering Strategy.
  `cycletype` | generic_enum | No_Cycle | Cycling.
  `cyclesize` | int | 5 | Number of Drawings in Cycle.
  `numberofparticles` | int | 100 | Number of Particles.
  `probabilityofgeneratingparticles` | double | 100 | Probability of Generating Any Particles.
  `indexselector` | int | 0 | Selector.
  `multisize` | double | 1 | Region Size for Baked Particle Input.
  `copyvelocity` | bool | false | Copy Particle Velocity for Baked Particle Input.
  `mininitialangle` | double | 0 | Minimum Initial Rotation.
  `maxinitialangle` | double | 0 | Maximum Initial Rotation.
  `copyage` | bool | false | Add Particle Age for Baked Particle Input.
  `applyprobabilityforeachparticle` | bool | true | Apply Probability for Each Particle.
  `sourcetimespan` | double | 0 | Source Sampling Duration.
  `sourcesamplesperframe` | double | 16 | Source Samples per Frame.
  `seed` | int | 0 | Streak Seed.
  `streaksize` | double | 0 | Streak Size.
  `sourcetimeoffset` | double | 0 | Source Sampling Time Offset.
  `setmaxlifespan` | bool | false | Set Maximum Lifespan.
  `maxlifespan` | double | 30 | Maximum Lifespan.
  `maxlifespansigma` | double | 0 | Maximum Lifespan Sigma.

#### ParticleSystemComposite

  Attributes present in the node : Particle-System-Composite

#### ParticleVelocity

  Attributes present in the node : Velocity

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `velocitytype` | generic_enum | Constant_Speed | Velocity Type.
  `v0x` | double | 1 | X.
  `v0y` | double | 0 | Y.
  `v0z` | double | 0 | Z.
  `minspeed` | double | 0.5000 | Minimum.
  `maxspeed` | double | 0.5000 | Maximum.
  `theta0` | double | 0 | Minimum Angle (degrees).
  `theta1` | double | 30 | Maximum Angle (degrees).
  `bilateral` | bool | false | Bilateral.

#### ParticleVisualizer

  Attributes present in the node : Particle-Visualizer

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `forcedots` | bool | false | Force to Render as Dots.
  `sortingstrategy` | generic_enum | Back_to_Front | Rendering Order.
  `fixalpha` | bool | true | Fix Output Alpha.
  `useviewscaling` | bool | true | Scale Particle System Using Parent Peg.
  `globalsize` | double | 1 | Global Scaling Factor.

#### ParticleVortex

  Attributes present in the node : Vortex

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `vortexx` | double | 0 | X Direction.
  `vortexy` | double | 12 | Y Direction.
  `vortexz` | double | 0 | Z Direction.
  `vortexradius` | double | 4 | Radius.
  `vortexexponent` | double | 1 | Exponent (1=cone).
  `vortexupspeed` | double | 0.0050 | Up Acceleration.
  `vortexinspeed` | double | 0.0050 | In Acceleration.
  `vortexaroundspeed` | double | 0.0050 | Around Acceleration.

#### ParticleWindFriction

  Attributes present in the node : Wind-Friction

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `trigger` | int | 1 | Trigger.
  `windfrictionx` | double | 0 | Friction/Wind X.
  `windfrictiony` | double | 0 | Friction/Wind Y.
  `windfrictionz` | double | 0 | Friction/Wind Z.
  `windfrictionminspeed` | double | 0 | Min Speed.
  `windfrictionmaxspeed` | double | 10 | Max Speed.

#### PEG

  Attributes present in the node : Peg

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enable_3d` | bool | false | Enable 3D.
  `face_camera` | bool | false | Face Camera.
  `camera_alignment` | generic_enum | None | Camera Alignment.

  `position`

  position_3d

  Position.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.
  `3dpath` | path_3d |  | Path.

  `scale`

  scale_3d

  Scale.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `in_fields` | bool | Off | In fields.
  `xy` | doublevb | 1 | Scale.
  `x` | doublevb | 1 | Scale x.
  `y` | doublevb | 1 | Scale y.
  `z` | doublevb | 1 | Scale z.

  `rotation`

  rotation_3d

  Rotation.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `anglex` | doublevb | 0 | Angle_x.
  `angley` | doublevb | 0 | Angle_y.
  `anglez` | doublevb | 0 | Angle_z.
  `quaternionpath` | quaternion_path |  | Quaternion.

  `angle` | alias | 0 | Angle.
  `skew` | double | 0 | Skew.

  `pivot`

  position_3d

  Pivot.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `spline_offset`

  position_3d

  Spline Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `ignore_parent_peg_scaling` | bool | false | Ignore Parent Scaling.
  `disable_field_rendering` | bool | false | Disable Field Rendering.
  `depth` | int | 0 | Depth.
  `enable_min_max_angle` | bool | false | Enable Min/Max Angle.
  `min_angle` | double | -360 | Min Angle.
  `max_angle` | double | 360 | Max Angle.
  `nail_for_children` | bool | false | Nail for Children.
  `ik_hold_orientation` | bool | false | Hold Orientation in IK.
  `ik_hold_x` | bool | false | Hold X in IK.
  `ik_hold_y` | bool | false | Hold Y in IK.
  `ik_excluded` | bool | false | Is Excluded from IK.
  `ik_can_rotate` | bool | true | Can Rotate during IK.
  `ik_can_translate_x` | bool | false | Can Translate in X during IK.
  `ik_can_translate_y` | bool | false | Can Translate in Y during IK.
  `ik_bone_x` | double | 0.2000 | X Direction of Bone.
  `ik_bone_y` | double | 0 | Y Direction of Bone.
  `ik_stiffness` | double | 1 | Stiffness of Bone.
  `group_at_network_building` | bool | false | Group at Network Building.
  `add_composite_to_group` | bool | true | Add Composite to Group.

#### PEG_APPLY3

  Attributes present in the node : Apply-Image-Transformation

#### PEG_APPLY3_V2

  Attributes present in the node : Apply-Peg-Transformation

#### PIXELATE

  Attributes present in the node : Pixelate

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `factor` | double | 0.0125 | Factor.

#### PLUGIN

  Attributes present in the node : Sparkle

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `angle` | double | 0 | Start angle.
  `scale` | double | 1 | Scale.
  `factor` | double | 0.7500 | Factor.
  `density` | double | 50 | Density.
  `n_points` | int | 8 | Number of Points.
  `prob_app` | double | 100 | Probability of Appearing.
  `point_noise` | double | 0 | Point Noise.
  `center_noise` | double | 0 | Center Noise.
  `angle_noise` | double | 0 | Angle Noise.
  `seed` | int | 0 | Random Seed.
  `use_drawing_color` | bool | true | Use Drawing Colours.
  `flatten_sparkles_of_same_color` | bool | true | Flatten Sparkles of Same Colour.

  `sparkle_color`

  color

  80ffffff

  Sparkles' Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 255 | Red.
  `green` | int | 255 | Green.
  `blue` | int | 255 | Blue.
  `alpha` | int | 128 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

#### PointConstraint2

  Attributes present in the node : Two-Points-Constraint

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | Active.
  `volumemod` | double | 75 | Volume Modifier.
  `volumemax` | double | 200 | Volume Max.
  `volumemin` | double | 25 | Volume Min.
  `stretchmax` | double | 0 | Distance Max.
  `stretchmin` | double | 0 | Distance Min.
  `skewcontrol` | double | 0 | Skew Modifier.
  `smooth` | double | 0 | Smoothing.
  `balance` | double | 0 | Point Balance.
  `flattentype` | generic_enum | Allow_3D_Transform | Flatten Type.
  `transformtype` | generic_enum | Translate | Transform Type.
  `primaryport` | generic_enum | Right | Primary Port.

#### PointConstraint3

  Attributes present in the node : Three-Points-Constraints

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | Active.
  `flattentype` | generic_enum | Allow_3D_Transform | Flatten Type.
  `transformtype` | generic_enum | Translate | Transform Type.
  `primaryport` | generic_enum | Right | Primary Port.

#### PointConstraintMulti

  Attributes present in the node : Multi-Points-Constraint

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | Active.
  `flattentype` | generic_enum | Allow_3D_Transform | Flatten Type.
  `convexhull` | bool | false | Ignore Internal Points.
  `allowpersp` | bool | false | Allow Perspective Transform.

#### QUADMAP

  Attributes present in the node : Quadmap

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  `src_point_1`

  position_2d

  Source Point 1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `src_point_2`

  position_2d

  Source Point 2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `src_point_3`

  position_2d

  Source Point 3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `src_point_4`

  position_2d

  Source Point 4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `point_1`

  position_2d

  Destination Point 1.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `point_2`

  position_2d

  Destination Point 2.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | 12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `point_3`

  position_2d

  Destination Point 3.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | -12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `point_4`

  position_2d

  Destination Point 4.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 12 | Pos x.
  `y` | double | -12 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `pivot`

  position_2d

  Pivot.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.

#### Quake

  Attributes present in the node : Quake

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `hold` | int | 1 | Hold Time.
  `interpolate` | bool | false | Interpolate.
  `moveamplitude` | double | 1 | Move Amplitude.
  `applyx` | bool | true | Apply on X.
  `applyy` | bool | true | Apply on Y.
  `applyz` | bool | true | Apply on Z.
  `rotationamplitude` | double | 0 | Rotation Amplitude.
  `seed` | int | 0 | Random Seed.

#### RADIALBLUR-PLUGIN

  Attributes present in the node : Blur-Radial-Zoom

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `truck_factor` | bool | true | Truck Factor.
  `bidirectional` | bool | true | Bidirectional.
  `precision` | generic_enum | Medium_8 | Precision.
  `blurriness` | double | 0 | Blurriness.
  `fall_off` | double | 0 | Fall Off.
  `spiral` | double | 0 | Custom.

  `focus`

  position_2d

  Focus.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

  `smoothness` | generic_enum | Quadratic | Variation.
  `quality` | double | 1 | Quality.
  `legacy` | bool | false | Legacy.

#### READ

  Attributes present in the node : Drawing

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `enable_3d` | bool | false | Enable 3D.
  `face_camera` | bool | false | Face Camera.
  `camera_alignment` | generic_enum | None | Camera Alignment.

  `offset`

  position_3d

  Position.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.
  `3dpath` | path_3d |  | Path.

  `scale`

  scale_3d

  Scale.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `in_fields` | bool | Off | In fields.
  `xy` | doublevb | 1 | Scale.
  `x` | doublevb | 1 | Scale x.
  `y` | doublevb | 1 | Scale y.
  `z` | doublevb | 1 | Scale z.

  `rotation`

  rotation_3d

  Rotation.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `anglex` | doublevb | 0 | Angle_x.
  `angley` | doublevb | 0 | Angle_y.
  `anglez` | doublevb | 0 | Angle_z.
  `quaternionpath` | quaternion_path |  | Quaternion.

  `angle` | alias | 0 | Angle.
  `skew` | double | 0 | Skew.

  `pivot`

  position_3d

  Pivot.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `spline_offset`

  position_3d

  Spline Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `ignore_parent_peg_scaling` | bool | false | Ignore Parent Scaling.
  `disable_field_rendering` | bool | false | Disable Field Rendering.
  `depth` | int | 0 | Depth.
  `enable_min_max_angle` | bool | false | Enable Min/Max Angle.
  `min_angle` | double | -360 | Min Angle.
  `max_angle` | double | 360 | Max Angle.
  `nail_for_children` | bool | false | Nail for Children.
  `ik_hold_orientation` | bool | false | Hold Orientation in IK.
  `ik_hold_x` | bool | false | Hold X in IK.
  `ik_hold_y` | bool | false | Hold Y in IK.
  `ik_excluded` | bool | false | Is Excluded from IK.
  `ik_can_rotate` | bool | true | Can Rotate during IK.
  `ik_can_translate_x` | bool | false | Can Translate in X during IK.
  `ik_can_translate_y` | bool | false | Can Translate in Y during IK.
  `ik_bone_x` | double | 0.2000 | X Direction of Bone.
  `ik_bone_y` | double | 0 | Y Direction of Bone.
  `ik_stiffness` | double | 1 | Stiffness of Bone.

  `drawing`

  drawing

  Drawing.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `element_mode` | bool | On | Element Mode.

  `element`

  element

  unknown

  Element.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `layer` | string | Layer.

  `custom_name`

  custom_name

  Custom Name.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `name` | string |  | Local Name.
  `timing` | timing |  | Timing.
  `extension` | string | tga | Extension.
  `field_chart` | double | 12 | FieldChart.

  `read_overlay` | bool | true | Overlay Art Enabled.
  `read_line_art` | bool | true | Line Art Enabled.
  `read_color_art` | bool | true | Colour Art Enabled.
  `read_underlay` | bool | true | Underlay Art Enabled.
  `overlay_art_drawing_mode` | generic_enum | Vector | Overlay Art Type.
  `line_art_drawing_mode` | generic_enum | Vector | Line Art Type.
  `color_art_drawing_mode` | generic_enum | Vector | Colour Art Type.
  `underlay_art_drawing_mode` | generic_enum | Vector | Underlay Art Type.
  `pencil_line_deformation_preserve_thickness` | bool | false | Preserve Line Thickness.
  `pencil_line_deformation_quality` | generic_enum | Low | Pencil Lines Quality.
  `pencil_line_deformation_smooth` | int | 1 | Pencil Lines Smoothing.
  `pencil_line_deformation_fit_error` | double | 3 | Fit Error.
  `read_color` | bool | true | Colour.
  `read_transparency` | bool | true | Transparency.
  `color_transformation` | generic_enum | Linear | Colour Space.
  `apply_matte_to_color` | generic_enum | Premultiplied_with_Black | Transparency Type.
  `enable_line_texture` | bool | true | Enable Line Texture.
  `antialiasing_quality` | generic_enum | High | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.
  `opacity` | double | 100 | Opacity.
  `texture_filter` | generic_enum | Nearest_(Filtered) | Texture Filter.
  `adjust_pencil_thickness` | bool | false | Adjust Pencil Lines Thickness.
  `normal_line_art_thickness` | bool | true | Normal Thickness.
  `zoom_independent_line_art_thickness` | bool | true | Zoom Independent Thickness.
  `mult_line_art_thickness` | double | 1 | Proportional.
  `add_line_art_thickness` | double | 0 | Constant.
  `min_line_art_thickness` | double | 0 | Minimum.
  `max_line_art_thickness` | double | 0 | Maximum.
  `use_drawing_pivot` | generic_enum | Apply_Embedded_Pivot_on_Drawing_Layer | Use Embedded Pivots.
  `flip_hor` | bool | false | Flip Horizontal.
  `flip_vert` | bool | false | Flip Vertical.
  `turn_before_alignment` | bool | false | Turn Before Alignment.
  `no_clipping` | bool | false | No Clipping.
  `x_clip_factor` | int | 0 | Clipping Factor (x).
  `y_clip_factor` | int | 0 | Clipping Factor (y).
  `alignment_rule` | generic_enum | Center_First_Page | Alignment Rule.
  `morphing_velo` | double | 0 | Morphing Velocity.
  `can_animate` | bool | true | Animate Using Animation Tools.
  `tile_horizontal` | bool | false | Tile Horizontally.
  `tile_vertical` | bool | false | Tile Vertically.
  `invert_matte_port` | bool | false | Invert Matte.

#### REFRACT

  Attributes present in the node : Refract

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `invert_matte_port` | bool | false | Invert Matte.
  `intensity` | double | 10 | Intensity.
  `height` | double | 0 | Height.

#### REMOVE_TRANSPARENCY

  Attributes present in the node : Remove-Transparency

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `threshold` | double | 50 | Threshold.
  `remove_color_transparency` | bool | true | Remove Colour Transparency.
  `remove_alpha_transparency` | bool | true | Remove Alpha Transparency.

#### SCALE

  Attributes present in the node : Scale-Output

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `by_value` | bool | true | Custom Resolution.
  `resolution_name` | string |  | Resolution Name.
  `res_x` | int | 720 | Width.
  `res_y` | int | 540 | Height.

#### SCRIPT_MODULE

  Attributes present in the node : MayaBatchRender

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  ``specs_editor=``

  string

  <specs> __<ports> ____<in_type="IMAGE"/> ____<out_type="IMAGE"/> __</ports> __<attributes> ____<attr_type="string"_name="renderer"_value=""_tooltip="If_this_attribute_is_not_set,_then_the_MayaBatchRender_node_will_use_the_default_renderer_specified_in_the_Maya_file._If_this_attribute_is_set,_then_it_forces_the_use_of_a_specific_renderer_other_than_the_default._The_following_renderers_are_currently_supported:_'renderMan'_(or_'reyes'),_'renderManRIS'_(or_'RIS'),_'arnold',_'mentalRay',_'mayaSoftware'_(or_'maya')._Note_that_those_values_are_case_insensitive."/> __</attributes> </specs> - Specifications.

  `script_editor` | file_editor | .
  `init_script` | file_editor | .
  `cleanup_script` | file_editor | .
  `ui_script` | file_editor | .
  `ui_data` | string | .
  `files` | file_library | .
  `renderer` | string | renderer.

#### SCRIPT_MODULE

  Attributes present in the node : ScriptModule

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  ``specs_editor`` | string | <specs> | __<ports> ____<in_type="IMAGE"/> ____<out_type="IMAGE"/> __</ports> __<attributes> __</attributes> </specs> - Specifications.
  `script_editor` | file_editor |  | .
  `init_script` | file_editor |  | .
  `cleanup_script` | file_editor |  | .
  `ui_script` | file_editor |  | .
  `ui_data` | string |  | .
  `files` | file_library |  | .

#### SHADOW

  Attributes present in the node : Shadow

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `truck_factor` | bool | true | Truck Factor.
  `blur_type` | generic_enum | Radial | Blur Type.
  `radius` | double | 2 | Radius.
  `directional_angle` | double | 0 | Directional Angle.
  `directional_falloff_rate` | double | 1 | Directional Falloff Rate.
  `use_matte_color` | bool | false | Use Source Colour.
  `invert_matte` | bool | false | Invert Matte.

  `color`

  color

  649c9c9c

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | -100 | Red.
  `green` | int | -100 | Green.
  `blue` | int | -100 | Blue.
  `alpha` | int | 100 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `multiplicative` | bool | false | Multiplicative.
  `colour_gain` | double | 1 | Intensity.

#### Shake

  Attributes present in the node : Shake

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `frequency` | double | 0.3000 | Frequency.
  `octaves` | int | 2 | Octaves.
  `multiplier` | double | 0.5000 | Multiplier.
  `positionx` | double | 1 | Position X.
  `positiony` | double | 1.3300 | Position Y.
  `positionz` | double | 0.1000 | Position Z.
  `rotationx` | double | 0 | Rotation X.
  `rotationy` | double | 0 | Rotation Y.
  `rotationz` | double | 1 | Rotation Z.
  `pivotx` | double | 0 | Pivot X.
  `pivoty` | double | 0 | Pivot Y.
  `pivotz` | double | 0 | Pivot Z.
  `steps` | int | 1 | Steps.
  `seed` | int | 0 | Random Seed.

#### StaticConstraint

  Attributes present in the node : Static-Transformation

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `bakeattr` | push_button |  | Bake Immediate Parent's Transformation.
  `bakeattr_all` | push_button |  | Bake All Incoming Transformations.
  `active` | bool | false | Active.

  `translate`

  position_3d

  Translate.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `z` | double | 0 | Pos z.

  `scale`

  scale_3d

  Skew.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `in_fields` | bool | Off | In fields.
  `xy` | doublevb | 1 | Scale.
  `x` | doublevb | 1 | Scale x.
  `y` | doublevb | 1 | Scale y.
  `z` | doublevb | 1 | Scale z.

  `rotate`

  rotation_3d

  Rotate.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `anglex` | doublevb | 0 | Angle_x.
  `angley` | doublevb | 0 | Angle_y.
  `anglez` | doublevb | 0 | Angle_z.

  `skewx` | double | 0 | Skew X.
  `skewy` | double | 0 | Skew Y.
  `skewz` | double | 0 | Skew Z.
  `inverted` | bool | false | Invert Transformation.

#### SubNodeAnimation

  Attributes present in the node : Subnode-Animation

#### SubNodeAnimationFilter

  Attributes present in the node : 3D-Kinematic-Output

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `sub_node_name` | string | Subnode Name.

#### Switch

  Attributes present in the node : Constraint-Switch

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | ACTIVE.
  `gatenum` | int | 0 | TARGET GATE.

  `uioffsetpos`

  position_2d

  GUI OFFSET.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.

  `uiscale` | double | 1 | GUI SCALE.

#### TbdColorSelector

  Attributes present in the node : Colour-Selector

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `selectedcolors` | string |  | Selected Colours.
  `applytomatte` | bool | false | Apply to Matte Ports on Input Effects.

#### TONE

  Attributes present in the node : Tone

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `truck_factor` | bool | true | Truck Factor.
  `blur_type` | generic_enum | Radial | Blur Type.
  `radius` | double | 2 | Radius.
  `directional_angle` | double | 0 | Directional Angle.
  `directional_falloff_rate` | double | 1 | Directional Falloff Rate.
  `use_matte_color` | bool | false | Use Matte Colour.
  `invert_matte` | bool | false | Invert Matte.

  `color`

  color

  649c9c9c

  Color.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | -100 | Red.
  `green` | int | -100 | Green.
  `blue` | int | -100 | Blue.
  `alpha` | int | 100 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `multiplicative` | bool | false | Multiplicative.
  `colour_gain` | double | 1 | Intensity.
  `invert_matte_port` | bool | false | Invert Matte.

#### ToneShader

  Attributes present in the node : Tone-Shader

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `lighttype` | generic_enum | Directional | Light Type.
  `floodangle` | double | 90 | Cone Angle.
  `floodsharpness` | double | 0 | Diffusion.
  `floodradius` | double | 2000 | Falloff.
  `pointelevation` | double | 200 | Light Source Elevation.
  `anglethreshold` | double | 90 | Surface Reflectivity.
  `shadetype` | generic_enum | Smooth | Shading Type.
  `bias` | double | 0.1000 | Bias.
  `exponent` | double | 2 | Abruptness.

  `lightcolor`

  color

  ff646464

  Light Colour.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `red` | int | 100 | Red.
  `green` | int | 100 | Green.
  `blue` | int | 100 | Blue.
  `alpha` | int | 255 | Alpha.
  `preferred_ui` | generic_enum | Separate | Preferred Editor.

  `flatten` | bool | true | Flatten Fx.
  `useimagecolor` | bool | false | Use image Colour.
  `imagecolorweight` | double | 50 | Image Colour Intensity.
  `adjustlevel` | bool | false | Adjust Light Intensity.
  `adjustedlevel` | double | 75 | Intensity.
  `scale` | double | 1 | Multiplier.

#### TransformationSwitch

  Attributes present in the node : Transformation-Switch

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---

  `drawing`

  drawing

  Drawing.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `element_mode` | bool | On | Element Mode.

  `element`

  element

  unknown

  Element.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `layer` | string | Layer.

  `custom_name`

  custom_name

  Custom Name.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `name` | string |  | Local Name.
  `timing` | timing |  | Timing.
  `extension` | string | tga | Extension.
  `field_chart` | double | 12 | FieldChart.

  `transformationnames`

  array_string

  0

  Transformation Names.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `size` | int | 0 | Size.

#### TransformGate

  Attributes present in the node : Transformation-Gate

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | ACTIVE.
  `target_gate` | int | 1 | LOCAL TARGET GATE.
  `default_gate` | int | 0 | DEFAULT GATE.

#### TransformLimit

  Attributes present in the node : Transformation-Limit

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `active` | double | 100 | Active.
  `switchtype` | generic_enum | Active_Value | Switch Effects.
  `tx` | double | 100 | Translate X.
  `ty` | double | 100 | Translate Y.
  `tz` | double | 100 | Translate Z.
  `rot` | double | 100 | Rotate.
  `skew` | double | 100 | Skew.
  `sx` | double | 100 | Scale X.
  `sy` | double | 100 | Scale Y.
  `allowflip` | bool | true | Allow Flipping.
  `uniformscale` | bool | false | Uniform Scale.
  `pignore` | double | 0 | Ignore Parents.
  `parentname` | string |  | Parent's Name.
  `flattentype` | generic_enum | Allow_3D_Translate | Flatten Type.
  `skewtype` | generic_enum | Skew_Optimized_for_Rotation | Skew Type.
  `flipaxis` | generic_enum | Allow_Flip_on_X-Axis | Flip Axis.

  `pos`

  position_2d

  Control Position.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `x` | double | 0 | Pos x.
  `y` | double | 0 | Pos y.
  `2dpoint` | point_2d |  | Point.

#### TransformLoop

  Attributes present in the node : Transform-Loop

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `autorange` | bool | true | Automatic Range Detection.
  `rangestart` | int | 1 | Start.
  `rangeend` | int | 1 | End.
  `looptype` | generic_enum | Repeat | Loop Type.

#### Turbulence

  Attributes present in the node : Turbulence

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `fractal_type` | generic_enum | Fractional_Brownian | Fractal Type.
  `noise_type` | generic_enum | Perlin | Noise Type.

  `frequency`

  locked

  Frequency.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `xyfrequency` | doublevb | 1 | Frequency xy.
  `xfrequency` | doublevb | 0 | Frequency x.
  `yfrequency` | doublevb | 0 | Frequency y.

  `amount`

  locked

  Amount.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `xyamount` | doublevb | 0 | Amount xy.
  `xamount` | doublevb | 0 | Amount x.
  `yamount` | doublevb | 0 | Amount y.

  `offset`

  locked

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `xyoffset` | doublevb | 0 | Offset xy.
  `xoffset` | doublevb | 0 | Offset x.
  `yoffset` | doublevb | 0 | Offset y.

  `seed`

  locked

  Seed.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | On | Separate.
  `xyseed` | doublevb | 0 | Seed xy.
  `xseed` | doublevb | 10 | Seed x.
  `yseed` | doublevb | 0 | Seed y.

  `evolution` | double | 0 | Evolution.
  `evolution_frequency` | double | 0 | Evolution Frequency.
  `gain` | double | 0.6500 | Gain.
  `lacunarity` | double | 2 | Sub Scaling.
  `octaves` | double | 1 | Complexity.
  `pinning` | bool | false | Pinning.
  `deformationquality` | generic_enum | Medium | Deformation Quality.

#### TurbulentNoise

  Attributes present in the node : TurbulentNoise

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `depth` | int | 0 | Depth.
  `invert_matte_port` | bool | false | Invert Matte.
  `fractal_type` | generic_enum | Fractional_Brownian | Fractal Type.
  `noise_type` | generic_enum | Perlin | Noise Type.

  `frequency`

  locked

  Frequency.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `xyfrequency` | doublevb | 0 | Frequency xy.
  `xfrequency` | doublevb | 0 | Frequency x.
  `yfrequency` | doublevb | 0 | Frequency y.

  `offset`

  locked

  Offset.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `separate` | bool | Off | Separate.
  `xyoffset` | doublevb | 0 | Offset xy.
  `xoffset` | doublevb | 0 | Offset x.
  `yoffset` | doublevb | 0 | Offset y.

  `evolution` | double | 0 | Evolution.
  `evolution_frequency` | double | 0 | Evolution Frequency.
  `gain` | double | 0.6500 | Gain.
  `lacunarity` | double | 2 | Sub Scaling.
  `octaves` | double | 1 | Complexity.

#### UNDERLAY

  Attributes present in the node : Underlay-Layer

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `flatten` | bool | false | Flatten.
  `apply_to_matte_ports` | bool | false | Apply to Matte Ports on Input Effects.
  `antialiasing_quality` | generic_enum | Ignore | Antialiasing Quality.
  `antialiasing_exponent` | double | 1 | Antialiasing Exponent.

#### VISIBILITY

  Attributes present in the node : Visibility

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `oglrender` | bool | true | Display in OpenGL View.
  `softrender` | bool | true | Soft Render.

#### WRITE

  Attributes present in the node : Write

  ##### Properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `export_to_movie` | generic_enum | Output_Drawings | Export to movie.
  `drawing_name` | string | frames/final- | Drawing name.
  `movie_path` | string | frames/output | Movie path.
  `movie_format` | string | com.toonboom.quicktime.legacy | Movie format setting.
  `movie_audio` | string |  | Movie audio settings.
  `movie_video` | string |  | Movie video settings.
  `movie_videoaudio` | string |  | Movie video and audio settings.
  `leading_zeros` | int | 3 | Leading zeros.
  `start` | int | 1 | Start.
  `drawing_type` | string | TGA | Drawing type.

  `enabling`

  enable

  Always_Enabled

  Enabling.

  ###### Properties

  Name | Type | Default | Description
  --- | --- | --- | ---
  `filter` | generic_enum | Always_Enabled | Filter.
  `filter_name` | string |  | Filter name.
  `filter_res_x` | int | 720 | X resolution.
  `filter_res_y` | int | 540 | Y resolution.

  `composite_partitioning` | generic_enum | Off | Composite Partitioning.
  `z_partition_range` | double | 1 | Z Partition Range.
  `clean_up_partition_folders` | bool | true | Clean up partition folders.